pqiv(1)

NAME
pqiv - quick image viewer

SYNOPSIS
pqiv [options] <file(s) or folder(s)>

DESCRIPTION
pqiv is a simple image viewer inspired by qiv.

OPTIONS

-a, --keyboard-alias=nf
    Define n as a keyboard alias for f. For example, `-a af' will give you fullscreen with the `a' key. Multiple aliases can be set by concatenating them to the option's value: `-a afwa' will make `a' toggle fullscreen and `w' create a link to the current image.

--browse
    For each command line argument, additionally load all images from the image's directory.

-c, --transparent-background
    Borderless transparent window. Click on the window to show the window borders, click again to hide them. This will only work in compositing window managers.

-d, --slideshow-interval=n
    Set the interval for the slideshow mode

-f, --fullscreen
    Start in fullscreen mode

-F, --fade
    Fade between images

--fade-duration=n
    Set how long pqiv should fade between images. Defaults to 0.5 seconds.

-i, --hide-info-box
    Initially hide the info box

-l, --lazy-load
    Create the image list in a background thread and display the main window as soon as one image has been found. New images will be added as they are found. When combining this with the --sort or --shuffle options, keep in mind that the first image found will be displayed, though it might end up not being the first one in the final file list. As with the --watch-directories option, the info box does not automatically update when new images are added.

--max-depth=n
    Descend at most n levels of directories below the command line arguments. Like in find, passing 0 disables recursion. Negative numbers mean infinite recursion and are the default.

-n, --sort
    Sort files in natural order

-P, --window-position=POSITION
    Set initial window position. Use `x,y' to position the window at the specific coordinates, or `off' to not position the window at all. The default behavior is to center the window.

-r, --additional-from-stdin
    Read additional filenames/folders from stdin

-R, --reverse-cursor-keys
    Reverse the meaning of the cursor keys

-s, --slideshow
    Initially activate slideshow mode

-t, --scale-images-up
    Scale images up to fill the whole screen

-T, --window-title=TITLE
    Set the title of the window. You have some variables available:

$BASEFILENAME
    The base file name of the current file (e.g. `image.png')

$FILENAME
    The file name of the current file (e.g. `/home/user/image.png')

$WIDTH
    The width of the current image in pixels

$HEIGHT
    The height of the current image in pixels

$ZOOM
    The current zoom level

$IMAGE_NUMBER
    The index of the current image

$IMAGE_COUNT
    The total numer of images

    The default is `pqiv: $FILENAME ($WIDTHx$HEIGHT) $ZOOM% [$IMAGE_NUMBER/$IMAGE_COUNT]'

-z, --zoom-level=FLOAT
    Set initial zoom level as a floating point number (1.0 is 100%)

-1, --command-1=COMMAND
    Bind the external COMMAND to key 1. Likewise, you can use -2 to -9 for those keys. Extended usage:

Show command output in a window
    Prefix the command with `>' to display it's output in an overlay window.

Pipe the image through a filter
    Prefix the command with `|' to write the image to the program's stdin and read an image from its stdout. The output is not cached, so reloading the image will revert to the old state.

--disable-scaling
    Disable scaling of images

--low-memory
    Try to avoid memory hungry operations: Do not preload the next image, do not keep a scaled image in memory for faster redraw operations, etc.

--shuffle
    Shuffle files

--watch-directories
    Watch directories (given on the command line) for new images and add them as they appear. Note that the yellow info box does not update automatically, but only when the window needs to be redrawn anyway. This option uses GIO's GFileMonitor internally. Depending on which system you use, GIO might internally poll regularly for changes, i.e. create some load. (In Linux, inotify is used.)

You can use the file ~/.pqivrc to make any of these default. The file's syntax is (mostly) those of desktop-files. Create a section options and use the long option names for the key names. For example,

[options]
fullscreen=1
slideshow-interval=5

would be a valid configuration file. If you set any boolean option in the configuration file, its meaning on the command line will be inverted. So with the above example file, -f would make pqiv start in window mode. The old syntax from pqiv <= 1.0, where the file was prepended to the argument vector, is still supported as well. So you can also just store -f -n 5 in the file to achieve the same effect.

Please note that while the use of flags in the configuration file inverts their meaning on the command line, the same does not apply to double use of flags. In old versions of pqiv, -ff would do nothing. This is no longer the case, it will now fullscreen the application.

pqiv will display all files you specified on the command line. Directories will be searched recursively for files supported by gtk+ (for example: bmp, gif, jpeg, png, wbmp, xpm, svg). The special file - will cause pqiv to read a file from stdin.

USAGE
In pqiv, you can use both mouse and keyboard to navigate through the images. Execute pqiv -h to get more information on the key bindings.

AUTHOR
Phillip Berndt (mail at pberndt dot com)